import type { SettingsTransactionHandler } from "../../types/settings";
export declare function getSettingsPath(namespace: string): string;
export declare function readTransaction<T>(namespace: string, handler: SettingsTransactionHandler<T>): Promise<T>;
export declare function writeTransaction<T>(namespace: string, handler: SettingsTransactionHandler<T>): Promise<T>;
export declare function getSetting<T>(namespace: string, key: string, fallback: T): Promise<T>;
export declare function getSetting<T>(namespace: string, key: string, fallback?: T): Promise<T | undefined>;
