import type { RepluggedConnection } from "../../types";
import type { ConnectedAccount } from "../../types/discord";
declare class ConnectionsAPI extends EventTarget {
    connections: RepluggedConnection[];
    get map(): typeof Array.prototype.map;
    get filter(): typeof Array.prototype.filter;
    get(type: string): RepluggedConnection | undefined;
    registerConnection(connection: RepluggedConnection): void;
    unregisterConnection(type: string): void;
    fetchAccounts(id: string): Promise<ConnectedAccount[]>;
}
declare const _default: ConnectionsAPI;
export default _default;
