import type { Channels } from "./channels";
export type { Channels };
export declare let channels: Channels;
import type { Guilds } from "./guilds";
export type { Guilds };
export declare let guilds: Guilds;
import type { Messages } from "./messages";
export type { Messages };
export declare let messages: Messages;
import type { Users } from "./users";
export type { Users };
export declare let users: Users;
import type { API } from "./api";
export type { API };
export declare let api: API;
import * as Components from "./components";
export type { Components };
export declare let components: typeof import("./components").default;
import * as Constants from "./constants";
export type { Constants };
export declare let constants: typeof Constants;
import type { ContextMenu } from "./contextMenu";
export type { ContextMenu };
export declare let contextMenu: ContextMenu;
import type { Flux } from "./flux";
export type { Flux };
export declare let flux: Flux;
import type { FluxDispatcher } from "./fluxDispatcher";
export type { FluxDispatcher };
export declare let fluxDispatcher: FluxDispatcher;
import type { I18n } from "./i18n";
export type { I18n };
export declare let i18n: I18n;
import type { Modal } from "./modal";
export type { Modal };
export declare let modal: Modal;
import type { Parser } from "./parser";
export type { Parser };
export declare let parser: Parser;
import type { Toast } from "./toast";
export type { Toast };
export declare let toast: Toast;
import type { Typing } from "./typing";
export type { Typing };
export declare let typing: Typing;
/**
 * @see {@link https://highlightjs.org/usage/}
 */
export declare let hljs: typeof import("highlightjs");
/**
 * @see {@link https://lodash.com/docs}
 */
export declare let lodash: typeof window._;
/**
 * @see {@link https://momentjs.com/docs/}
 */
export declare let moment: typeof import("moment");
/**
 * @see {@link https://react.dev/}
 */
export declare let React: typeof import("react");
/**
 * @see {@link https://react.dev/reference/react-dom}
 */
export declare let ReactDOM: typeof import("react-dom");
/**
 * @internal
 * @hidden
 */
export declare const ready: () => Promise<void>;
