import type React from "react";
export type FormTextTypeKey = "DEFAULT" | "DESCRIPTION" | "ERROR" | "INPUT_PLACEHOLDER" | "LABEL_BOLD" | "LABEL_DESCRIPTOR" | "LABEL_SELECTED" | "SUCCESS" | string;
interface FormTextProps {
    type?: string;
    disabled?: boolean;
    selectable?: boolean;
    style?: React.CSSProperties;
    className?: string;
}
export type FormTextCompType = React.FC<React.PropsWithChildren<FormTextProps>>;
export type FormTextType = Record<FormTextTypeKey, FormTextCompType>;
export declare const FormText: FormTextType;
export {};
