import type React from "react";
interface SwitchProps {
    checked: boolean;
    onChange: (value: boolean) => void;
    disabled?: boolean;
    id?: string;
    innerRef?: React.Ref<unknown>;
    focusProps?: Record<string, unknown>;
    className?: string;
}
export type SwitchType = React.FC<React.PropsWithChildren<SwitchProps>>;
interface SwitchItemProps {
    value: boolean;
    onChange: (value: boolean) => void;
    note?: string;
    tooltipNote?: string;
    disabled?: boolean;
    hideBorder?: boolean;
    style?: React.CSSProperties;
    className?: string;
}
export type SwitchItemType = React.FC<React.PropsWithChildren<SwitchItemProps>>;
export declare const Switch: SwitchType;
export declare const SwitchItem: SwitchItemType;
export {};
