export type AnyFunction = (...args: any[]) => unknown;
export type UnknownFunction = (...args: unknown[]) => unknown;
export type ObjectKey<O, T> = {
    [K in keyof O]: O[K] extends T ? K : never;
}[keyof O & string];
