import { React } from "@common";
import type { AnyAddonManifest } from "src/types/addon";
import "./Addons.css";
export declare enum AddonType {
    Plugin = "plugin",
    Theme = "theme"
}
export declare function getAddonType(type: "replugged-plugin" | "replugged-theme"): AddonType;
export declare function getSourceLink(addon: AnyAddonManifest): string | undefined;
export declare function label(type: AddonType, { caps, plural, }?: {
    caps?: "lower" | "title" | "upper" | undefined;
    plural?: boolean | undefined;
}): string;
export declare const Addons: (type: AddonType) => React.ReactElement;
export declare const Plugins: () => React.ReactElement;
export declare const Themes: () => React.ReactElement;
