/// <reference types="react" />
interface CategoryProps {
    title: string;
    open?: boolean;
    note?: string;
    disabled?: boolean;
    onChange?: () => void;
}
export type CategoryType = React.FC<React.PropsWithChildren<CategoryProps>>;
/**
 * A category. It's opened state, by default, is automatically handled by the component. `open` and `onChange` both must be specified to override.
 */
declare const _default: CategoryType;
export default _default;
