import type { Filter, LazyListener, RawModule, WaitForOptions } from "src/types";
/**
 * Listeners that will be checked when each module is initialized
 */
export declare const listeners: Set<LazyListener>;
export declare function waitForModule<T>(filter: Filter, options?: WaitForOptions & {
    raw?: false;
}): Promise<T>;
export declare function waitForModule<T>(filter: Filter, options?: WaitForOptions & {
    raw: true;
}): Promise<RawModule<T>>;
export declare function waitForModule<T>(filter: Filter, options?: WaitForOptions): Promise<T | RawModule<T>>;
