import type { WebpackRawModules, WebpackRequire } from "../../../types";
/**
 * Webpack's require function
 * @internal
 * @hidden
 */
export declare let wpRequire: WebpackRequire | undefined;
export declare let webpackChunks: WebpackRawModules | undefined;
/**
 * @internal
 * @hidden
 */
export declare const waitForReady: Promise<void>;
/**
 * @internal
 * @hidden
 */
export declare let signalStart: () => void;
/**
 * @internal
 * @hidden
 */
export declare const waitForStart: Promise<void>;
/**
 * Original stringified module (without plaintext patches applied) for source searches
 * @internal
 * @hidden
 */
export declare const sourceStrings: Record<number, string>;
