/**
 * Log caught errors from webpack query, while doing some filtering to reduce noise
 * @param opts Object containing the properties below. Any other properties provided will be logged as metadata.
 * @param opts.text Text to be logged with the error
 * @param opts.err Error object is expected, but can be anything
 */
export declare function logError({ text, err, ...logMetadata }: {
    text: string;
    err?: unknown;
} & Record<string, unknown>): void;
